search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`drawing`.`colors`.`GradientPalette``

class documentation

`class GradientPalette(Palette): (source)`

Constructor: `GradientPalette(color1, color2, n)`

View In Hierarchy

Base class for gradient palettes

Gradient palettes contain a gradient between two given colors.

Example:

    >>> pal = GradientPalette("red", "blue", 5)
    >>> pal.get(0)
    (1.0, 0.0, 0.0, 1.0)
    >>> pal.get(2)
    (0.5, 0.0, 0.5, 1.0)
    >>> pal.get(4)
    (0.0, 0.0, 1.0, 1.0)

Method | `__init__` | Creates a gradient palette.
Method | `_get` | Returns the color corresponding to the given color index.
Instance Variable | `_color1` | Undocumented
Instance Variable | `_color2` | Undocumented

Inherited from `Palette`:

Method | `__len__` | Returns the number of colors in this palette
Method | `__plot__` | Plots the colors of the palette on the given Cairo context/mpl Axes
Method | `__repr__` | Undocumented
Method | `clear_cache` | Clears the result cache.
Method | `get` | Returns the given color from the palette.
Method | `get_many` | Returns multiple colors from the palette.
Property | `length` | Returns the number of colors in this palette
Instance Variable | `_cache` | Undocumented
Instance Variable | `_length` | Undocumented

def __init__(self, color1, color2, n=256): (source)
overrides `igraph.drawing.colors.Palette.__init__`

Creates a gradient palette.

Parameters
color1 | the color where the gradient starts.
color2 | the color where the gradient ends.
n | the number of colors in the palette.

def _get(self, v): (source)
overrides `igraph.drawing.colors.Palette._get`

Returns the color corresponding to the given color index.

Parameters
v | numerical index of the color to be retrieved
Returns
a 4-tuple containing the RGBA values

_color1 = (source)

Undocumented

_color2 = (source)

Undocumented